.\"	$NetBSD: smsh.4,v 1.2 2009/08/09 07:40:46 wiz Exp $
.\"
.\" Copyright (c) 2009 KIYOHARA Takashi
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
.\" WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
.\" DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT,
.\" INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
.\" (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
.\" SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
.\" STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
.\" ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd December 2, 2009
.Dt SMSH 4
.Os
.Sh NAME
.Nm smsh
.Nd SMSC LAN9118/LAN9218 Family Ethernet interfaces device driver
.Sh SYNOPSIS
.Cd "smsh0 at gxio? port 0x40000300 gpirq 99"
.Sh DESCRIPTION
The
.Nm
device driver supports SMSC LAN9118 and LAN9218 Family Ethernet interfaces.
.Pp
The ISA attachment of the
.Nm
driver supports any LAN9118 Family Ethernet interface on the ISA
bus, the on-board LAN9118 Family Ethernet found in many embedded PCs.
However, no ISA attachment has been written yet.
.Pp
LAN9218 Family supports also HP Auto-MDIX.
.Sh MEDIA SELECTION
Media selection done using
.Xr ifconfig 8
using the standard
.Xr ifmedia 4
mechanism.
Refer to those manual pages for more information.
.Sh SEE ALSO
.Xr ifmedia 4 ,
.Xr intro 4 ,
.Xr isa 4 ,
.Xr mii 4 ,
.Xr ifconfig 8
.Sh HISTORY
The
.Nm
driver first appeared in
.Nx 6.0 .
.Sh AUTHORS
The
.Nm
driver was written by
.An KIYOHARA Takashi Aq kiyohara@kk.iij4u.or.jp .
.Sh BUGS
No ISA attachment yet.
